GNU_URL="http://ftp.gnu.org/pub/gnu"
TETEX_URL="http://www.tug.org/ftp/tex-archive/systems/unix/teTeX"
-WGETCMD="wget --directory-prefix=${LFS_PKG_DIR} --timeout=5 --tries=3 -nc -c -o ${WGET_LOG_FILE}"
+WGETCMD="wget --directory-prefix=${LFS_PKG_DIR} --timeout=15 --tries=3 -nc -c -o ${WGET_LOG_FILE}"
LFS_PATCHES_LIST=${LFS_PKG_DIR}/patches-list-lfs.html
BLFS_PATCHES_LIST=${LFS_PKG_DIR}/patches-list-blfs.html
XMLTO="xmlto-0.0.23"
XMLTOMAN="xmltoman-0.4"
+XTERM="xterm-253"
XVIDCORE="xvidcore-1.2.2"
XZ_UTILS="xz-4.999.9beta"
+++ /dev/null
-#!/bin/sh
-set -o errexit
-
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1}
-
-cd ${LFS_TMP}/${1}-build
-../${1}/configure \
- --prefix=/usr \
- --libexecdir=/usr/sbin \
- --with-x-toolkit=gtk
-make bootstrap
-make install
-ldconfig
-
-install -m644 ${SCRDIR}/resources/emacsrc /etc/skel/.emacs
-install -m644 ${SCRDIR}/resources/emacsrc /root/.emacs
-
-exit $?
+++ /dev/null
-/* XPM */
-static char * ColorGNU_xpm[] = {
-"48 48 25 1",
-" c None",
-". c #965871C65144",
-"X c #DF7DAEBA8617",
-"o c #965861855144",
-"O c #5144410330C2",
-"+ c #000000000000",
-"@ c #861771C65144",
-"# c #EFBEEFBEEFBE",
-"$ c #9E79A2899E79",
-"% c #618561854103",
-"& c #9E79A2898617",
-"* c #AEBAA2898617",
-"= c #9E79A28971C6",
-"- c #861771C64103",
-"; c #9E79AEBA8617",
-": c #9E79AEBA71C6",
-"> c #DF7DBEFB71C6",
-", c #71C661855144",
-"< c #DF7DBEFB8617",
-"1 c #DF7DAEBA71C6",
-"2 c #4103410330C2",
-"3 c #618571C64103",
-"4 c #514441032081",
-"5 c #514430C230C2",
-"6 c #410341032081",
-" .Xo..OO+OO",
-" O O . ..@O.O+OO.",
-" +# ++#####$##O% O ....@oOO+OOoO",
-" O# O###OO$#+###++O$$O+++@OO&OOOOO.",
-" +#O O+$###*O+OOO####*#++OOOO++*=+OOOo-",
-" %#O ###+##;*+.@#O#O####$O+OO+&;*+OO.O.",
-" O#$ +####*=*OO@o@#O$##=*+OOOO+=*=++OOo@",
-" ;O#O ##O#&;#+.@X@.OO%O##:#+OOO#&:&+OO.@.",
-" *O#+ +$###=*:O.o>X.oO,###*O+++O#:*O+OOOo-",
-" :&#+ +#####O:##.<X<X@.OO##;#++O#:&;+XOOOO.",
-" *##$ +#####*=*+o@X1X@oOO$###O+O$#*=*+XOOOoO",
-" ;&## ###$#&:&++@X<X<X@.O+###&#+%#;O:+OOOOO.",
-" *:##$ +####*:*++Oo1X>X.o+++*:##*%,=*:*++OO.O-",
-" %&###$+###;*:&;O+.@X<X<OO++++&;##O;*%&O.O+O+O.",
-" =*######=*=*%O%+@o1X1oX++++++*=*=*=*%+@O+++O@",
-" &:#####;&:&+++++X<X<.@+++2+O++&;&:O3O%++X+OO.",
-" :*=*#*=*:,+.++4+4X1X>5++45+O-o+#%,%+++OO+O++-",
-" &#*:&;*:&O +.+O2O2.@O2+2O+O+O@+$O+++++++.+++.",
-" O=O=O=OO $+.65456545654+++++@+%+O+OOXo@+OO@",
-" O3O%O +.O+++O2O+++O+#O++.OXO.OX@+++++O.",
-" 4++5454++O+O-o#oO++++++++++++++o-",
-" O+.@.+++++O+O+.+++++++++++++++OO.",
-" 4++o@+++456o+oOo++6++++++++++oOO@",
-" ++O.<.O++O@.@.@.+O+O+++O+O+O2O2.@.",
-" 4o.X>o+5-o1X>o.O+54++++O+5454oOo-",
-" O@.<X@O2.<X<.@.O++++++O+O2O2.O.@.",
-" 45@X1o6o@X1X@O+++O+++O+5456oOo@o@",
-" O2.<X@+@X<X@O+++O+++O+O2O2O2.@.@X",
-" .5.X>XOo>X1o-+O.+++++O+5454o-o.X-",
-" ..2.@X<O@X<X@O++.O+++O+O2.2.O.@X@X",
-" ..56o1XOo1X@O+++ O+O+565456o@X@X1",
-" .2O@X<.@X<.O+++ ++O+O2.2.@.@X<X",
-" .-54o-o+o-oO+++O +++5454oOo-X.X>",
-" <O2O2.@+2.@O+++ $+++O2.O.@.@X<X",
-" +45@o456545++++ ++5654oOo@X@X1",
-" <+++2O+O2O+.@O+ +O+O2O2.@X@X<X",
-" <++X54+454X+o+5 $+++54oOo-X.X>",
-" @.+O2O2O2OX+@++ $+O+O@.@.@X<X",
-" +OX6o@o@5XX+oO+ O+5456o@X@X1",
-" O++O@.OO+O+O2++ ++O2.@.@X@X",
-" O++++++$+4++ +++54o-o.X>",
-" O$XXXXXX+ ++2.O.@.@X",
-" $O+$+@oO+ ++56oOo@X@",
-" O++OO++ ++2O2.@.@X",
-" o.+OO$ O+545-o.o-",
-" + ++O2O2.@.",
-" $ ++654oOo@",
-" +++2O2.@X"};
+++ /dev/null
-;; ~/.emacs
-
-;; Emacs initialization file.
-;; Font Lock mode, Auto Compression mode, File Name Shadow
-;; Mode, and mouse wheel support are enabled by default.
-
-;; Do not display a splash screen on startup
-(setq inhibit-splash-screen t)
-
-;; Emacs Load Path
-(setq load-path (cons "/usr/local/share/emacs/site-lisp" load-path))
-
-;; Affichage du numéro de colonne
-(setq column-number-mode t)
-
-;; Always end a file with a newline
-(setq require-final-newline t)
-
-;; Stop at the end of the file, not just add lines
-(setq next-line-add-newlines nil)
-
-;; Replaces tabs in files with spaces
-(setq-default indent-tabs-mode nil)
-
-;; Makes the compilation buffer always scrolls to follow
-;; output as it comes in.
-(setq compilation-scroll-output t)
-
-;; Pour avoir les accents
-(set-keyboard-coding-system 'utf-8)
-
-;; Set up the keyboard so the delete key on both the regular keyboard
-;; and the keypad delete the character under the cursor and to the right
-;; under X, instead of the default, backspace behavior.
-(global-set-key [delete] 'delete-char)
-(global-set-key [kp-delete] 'delete-char)
-
-;; For an unknow reason, the CTRL+RIGHT and RIGHT keys seem
-;; to be inveerted...
-
-;; Map RIGHT and LEFT
-;;(global-set-key [(meta O) (D)] 'backward-char)
-;;(global-set-key [(meta O) (C)] 'forward-char)
-;; Map CTRL+RIGHT and CTRL+LEFT
-(global-set-key [C-right] 'forward-word)
-(global-set-key [C-left] 'backward-word)
-
-;; Map Home key to beginning-of-buffer
-(global-set-key "\e[1~" 'beginning-of-buffer)
-;; Map End key to end-of-buffer
-(global-set-key "\e[4~" 'end-of-buffer)
-
-;;===========================================================
-;; Key bindings for compiling programs
-;;===========================================================
-;; Must add helper function for the make also, otherwise
-;; the first definition caused both F3 and F4 to execute "make clean".
-(defun compile-make-clean ()
- (interactive) ;; can be called from kbd
- (compile "make clean"))
-
-(defun compile-make ()
- (interactive)
- (compile "make"))
-
-(defun checkpatch()
- (interactive)
- (compile (concat "checkpatch.pl --no-tree --emacs --strict --file " (buffer-file-name))))
-
-;; buffer-cycle.el
-;; F1: Switch to previous buffers
-(autoload 'cycle-buffer-prev "buffer-cycle" t)
-(global-set-key [f1] 'cycle-buffer-prev)
-;; F2: Switch to next buffers
-(autoload 'cycle-buffer-next "buffer-cycle" t)
-(global-set-key [f2] 'cycle-buffer-next)
-
-;; F4: make clean
-(global-set-key [f4] 'compile-make-clean)
-
-;; F5: make
-(global-set-key [f5] 'compile-make)
-
-;; F6: go to next error
-(global-set-key [f6] 'next-error)
-
-;; F7: comment region
-(global-set-key [f7] 'comment-region)
-
-;; F8: code indentation
-(global-set-key [f8] 'indent-region)
-
-;; F9: run checkpatch.pl
-(global-set-key [f9] 'checkpatch)
-
-;;==================================================
-;; Modes
-;;==================================================
-
-(defun linux-c-mode ()
- "C mode with adjusted defaults for use with the Linux kernel."
- (interactive)
- (c-mode)
- (c-set-style "K&R")
- ;; Replaces tabs in files with spaces
- (setq indent-tabs-mode t)
- (setq c-basic-offset 8))
-
-(defun csv-mode ()
- "CSV mode."
- (interactive)
- (setq indent-tabs-mode t)
-)
-
-;; Default for .h and .d files -> linux mode.
-(add-to-list 'auto-mode-alist '("\.[ch]$" . linux-c-mode))
-
-;; Verilog mode
-(autoload 'verilog-mode "verilog-mode" "Verilog mode" t)
-(add-to-list 'auto-mode-alist '("\\.v\\'" . verilog-mode))
-
-;; PHP mode
-(autoload 'php-mode "php-mode" "PHP mode" t)
-(add-to-list 'auto-mode-alist '("\\.php\\'" . php-mode))
-
-;; ChordPro mode
-(autoload 'chordpro-mode "chordpro-mode" "Chordpro mode" t)
-(add-to-list 'auto-mode-alist '("\\.cp\\'" . chordpro-mode))
-(add-to-list 'auto-mode-alist '("\\.chopro\\'" . chordpro-mode))
-
-;; Lilypond mode
-(autoload 'LilyPond-mode "lilypond-mode" "LilyPond Editing Mode" t)
-(add-to-list 'auto-mode-alist '("\\.ly$" . LilyPond-mode))
-(add-to-list 'auto-mode-alist '("\\.ily$" . LilyPond-mode))
-
-;; CSV mode
-(add-to-list 'auto-mode-alist '("\\.csv$" . csv-mode))
-
-;; Mutt mode
-(autoload 'muttrc-mode "muttrc-mode" "Major mode to edit muttrc files" t)
-(add-to-list 'auto-mode-alist '("muttrc\\'" . muttrc-mode))
-
-;; When an Emacs init file gets large or has a lot of function definitions, you
-;; should consider compiling it: it will load faster when Emacs starts, and its
-;; functions will execute faster.
-;; Here is a way to automatically compile your InitFile each time you save it:
-(defun byte-compile-user-init-file ()
- (let ((byte-compile-warnings '(unresolved)))
- ;; in case compilation fails, don't leave the old .elc around:
- (when (file-exists-p (concat user-init-file ".elc"))
- (delete-file (concat user-init-file ".elc")))
- (byte-compile-file user-init-file)
- ;; (message "%s compiled" user-init-file)
- ))
-(defun my-emacs-lisp-mode-hook ()
- (when (equal buffer-file-name user-init-file)
- (add-hook 'after-save-hook 'byte-compile-user-init-file t t)))
-(add-hook 'emacs-lisp-mode-hook 'my-emacs-lisp-mode-hook)
-
-(custom-set-variables
- ;; custom-set-variables was added by Custom.
- ;; If you edit it by hand, you could mess it up, so be careful.
- ;; Your init file should contain only one such instance.
- ;; If there is more than one, they won't work right.
- '(column-number-mode t)
- '(current-language-environment "UTF-8"))
-(custom-set-faces
- ;; custom-set-faces was added by Custom.
- ;; If you edit it by hand, you could mess it up, so be careful.
- ;; Your init file should contain only one such instance.
- ;; If there is more than one, they won't work right.
- '(default ((t (:background "black" :foreground "white" :bold t))))
- '(font-lock-comment-face ((t (:foreground "red" :bold t))))
- '(font-lock-constant-face ((t (:foreground "magenta" :bold t))))
- '(font-lock-function-name-face ((t (:foreground "blue" :bold t))))
- '(font-lock-keyword-face ((t (:foreground "cyan" :bold t))))
- '(font-lock-string-face ((t (:foreground "green" :bold t))))
- '(font-lock-type-face ((t (:foreground "red" :bold t))))
- '(font-lock-variable-name-face ((t (:foreground "yellow" :bold t))))
- '(font-lock-warning-face ((t (:foreground "magenta" :bold t)))))
--- /dev/null
+#!/bin/sh
+set -o errexit
+
+# First argument of this script is the package name
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Applying patches (if any)
+apply_patches ${1}
+
+cd ${LFS_TMP}/${1}-build
+../${1}/configure \
+ --prefix=/usr \
+ --libexecdir=/usr/sbin \
+ --with-x-toolkit=gtk
+make bootstrap
+make install
+ldconfig
+
+install -m644 ${SCRDIR}/resources/emacsrc /etc/skel/.emacs
+install -m644 ${SCRDIR}/resources/emacsrc /root/.emacs
+
+LOCAL_SITE_LIST=/usr/local/share/emacs/site-lisp
+
+install -v -m644 -d ${LOCAL_SITE_LIST}
+install -m644 ${SCRDIR}/resources/buffer-cycle.el ${LOCAL_SITE_LIST}
+
+exit $?
--- /dev/null
+#!/bin/sh
+set -o errexit
+
+# First argument of this script is the package name.
+# Remaining arguments are additional configure options.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+PACKAGE=${1}
+shift
+CONFIGURE_OPTS=${*}
+
+# Applying patches (if any)
+apply_patches ${PACKAGE}
+
+cd ${LFS_TMP}/${PACKAGE}
+sed -i '/v0/,+1s/new:/new:kb=^?:/' termcap
+echo -e '\tkbs=\\177,' >>terminfo
+
+cd ${LFS_TMP}/${PACKAGE}-build
+TERMINFO=/usr/lib/terminfo ../${PACKAGE}/configure \
+ --enable-luit \
+ --enable-wide-chars \
+ --with-app-defaults=${XORG_PREFIX}/share/X11/app-defaults \
+ ${CONFIGURE_OPTS}
+make
+make install
+make install-ti
+ldconfig
+
+exit $?
source ../functions
source ../packages-list
+
+exit 0
+
+
+
+
# Many package are still trying to find X in /usr/X11R6.
# Until then, you can create a symbolic link to satisfy the /usr/X11R6
# requirement so that you won't be inconvenienced with a package build
# Packages in Xorg store their configuration files in $XORG_PREFIX/lib/X11
# by default. This is strictly against FHS guidelines. Correct the
# installation /etc/X11 and create symlinks in the original location:
-mkdir -p /etc/X11
+mkdir -v -p /etc/X11
for file in ${XORG_PREFIX}/{lib/X11/xinit,share/X11/{app-defaults,twm}}; do
mv -v $file /etc/X11/ 2> /dev/null
- ln -v -s /etc/X11/$(basename $file) $file
+ ln -svfT /etc/X11/$(basename $file) $file
done
-exit 1
fpkg ${XORG_SERVER} ${XORG_URL}/xserver
+ARCH_EXT=tgz fpkg ${XTERM} ftp://invisible-island.net/xterm
+unset ARCH_EXT
+
exit $?
--- /dev/null
+/* XPM */
+static char * ColorGNU_xpm[] = {
+"48 48 25 1",
+" c None",
+". c #965871C65144",
+"X c #DF7DAEBA8617",
+"o c #965861855144",
+"O c #5144410330C2",
+"+ c #000000000000",
+"@ c #861771C65144",
+"# c #EFBEEFBEEFBE",
+"$ c #9E79A2899E79",
+"% c #618561854103",
+"& c #9E79A2898617",
+"* c #AEBAA2898617",
+"= c #9E79A28971C6",
+"- c #861771C64103",
+"; c #9E79AEBA8617",
+": c #9E79AEBA71C6",
+"> c #DF7DBEFB71C6",
+", c #71C661855144",
+"< c #DF7DBEFB8617",
+"1 c #DF7DAEBA71C6",
+"2 c #4103410330C2",
+"3 c #618571C64103",
+"4 c #514441032081",
+"5 c #514430C230C2",
+"6 c #410341032081",
+" .Xo..OO+OO",
+" O O . ..@O.O+OO.",
+" +# ++#####$##O% O ....@oOO+OOoO",
+" O# O###OO$#+###++O$$O+++@OO&OOOOO.",
+" +#O O+$###*O+OOO####*#++OOOO++*=+OOOo-",
+" %#O ###+##;*+.@#O#O####$O+OO+&;*+OO.O.",
+" O#$ +####*=*OO@o@#O$##=*+OOOO+=*=++OOo@",
+" ;O#O ##O#&;#+.@X@.OO%O##:#+OOO#&:&+OO.@.",
+" *O#+ +$###=*:O.o>X.oO,###*O+++O#:*O+OOOo-",
+" :&#+ +#####O:##.<X<X@.OO##;#++O#:&;+XOOOO.",
+" *##$ +#####*=*+o@X1X@oOO$###O+O$#*=*+XOOOoO",
+" ;&## ###$#&:&++@X<X<X@.O+###&#+%#;O:+OOOOO.",
+" *:##$ +####*:*++Oo1X>X.o+++*:##*%,=*:*++OO.O-",
+" %&###$+###;*:&;O+.@X<X<OO++++&;##O;*%&O.O+O+O.",
+" =*######=*=*%O%+@o1X1oX++++++*=*=*=*%+@O+++O@",
+" &:#####;&:&+++++X<X<.@+++2+O++&;&:O3O%++X+OO.",
+" :*=*#*=*:,+.++4+4X1X>5++45+O-o+#%,%+++OO+O++-",
+" &#*:&;*:&O +.+O2O2.@O2+2O+O+O@+$O+++++++.+++.",
+" O=O=O=OO $+.65456545654+++++@+%+O+OOXo@+OO@",
+" O3O%O +.O+++O2O+++O+#O++.OXO.OX@+++++O.",
+" 4++5454++O+O-o#oO++++++++++++++o-",
+" O+.@.+++++O+O+.+++++++++++++++OO.",
+" 4++o@+++456o+oOo++6++++++++++oOO@",
+" ++O.<.O++O@.@.@.+O+O+++O+O+O2O2.@.",
+" 4o.X>o+5-o1X>o.O+54++++O+5454oOo-",
+" O@.<X@O2.<X<.@.O++++++O+O2O2.O.@.",
+" 45@X1o6o@X1X@O+++O+++O+5456oOo@o@",
+" O2.<X@+@X<X@O+++O+++O+O2O2O2.@.@X",
+" .5.X>XOo>X1o-+O.+++++O+5454o-o.X-",
+" ..2.@X<O@X<X@O++.O+++O+O2.2.O.@X@X",
+" ..56o1XOo1X@O+++ O+O+565456o@X@X1",
+" .2O@X<.@X<.O+++ ++O+O2.2.@.@X<X",
+" .-54o-o+o-oO+++O +++5454oOo-X.X>",
+" <O2O2.@+2.@O+++ $+++O2.O.@.@X<X",
+" +45@o456545++++ ++5654oOo@X@X1",
+" <+++2O+O2O+.@O+ +O+O2O2.@X@X<X",
+" <++X54+454X+o+5 $+++54oOo-X.X>",
+" @.+O2O2O2OX+@++ $+O+O@.@.@X<X",
+" +OX6o@o@5XX+oO+ O+5456o@X@X1",
+" O++O@.OO+O+O2++ ++O2.@.@X@X",
+" O++++++$+4++ +++54o-o.X>",
+" O$XXXXXX+ ++2.O.@.@X",
+" $O+$+@oO+ ++56oOo@X@",
+" O++OO++ ++2O2.@.@X",
+" o.+OO$ O+545-o.o-",
+" + ++O2O2.@.",
+" $ ++654oOo@",
+" +++2O2.@X"};
--- /dev/null
+;; buffer-cycle.el
+(defun filter (pred lst)
+ (delq nil
+ (mapcar (lambda (x)
+ (and (funcall pred x) x)) lst)))
+
+(defun filter-regexp (pattern lst)
+ (filter (lambda (str)
+ (string-match pattern str)) lst))
+
+(defun cycle-buffer (&optional n)
+ (let ((buffers (filter (lambda (buffer)
+ (not (string-match "\*" (buffer-name buffer))))
+ (buffer-list (selected-frame)))))
+ (switch-to-buffer
+ (if (< n 0)
+ (nth (+ (length buffers) n)
+ buffers)
+ (bury-buffer)
+ (nth n buffers)))))
+
+(defun cycle-buffer-next ()
+ (interactive)
+ (cycle-buffer -1))
+
+(defun cycle-buffer-prev ()
+ (interactive)
+ (cycle-buffer 1))
--- /dev/null
+;; ~/.emacs
+
+;; Emacs initialization file.
+;; Font Lock mode, Auto Compression mode, File Name Shadow
+;; Mode, and mouse wheel support are enabled by default.
+
+;; Do not display a splash screen on startup
+(setq inhibit-splash-screen t)
+
+;; Emacs Load Path
+(setq load-path (cons "/usr/local/share/emacs/site-lisp" load-path))
+
+;; Affichage du numéro de colonne
+(setq column-number-mode t)
+
+;; Always end a file with a newline
+(setq require-final-newline t)
+
+;; Stop at the end of the file, not just add lines
+(setq next-line-add-newlines nil)
+
+;; Replaces tabs in files with spaces
+(setq-default indent-tabs-mode nil)
+
+;; Makes the compilation buffer always scrolls to follow
+;; output as it comes in.
+(setq compilation-scroll-output t)
+
+;; Pour avoir les accents
+(set-keyboard-coding-system 'utf-8)
+
+;; Set up the keyboard so the delete key on both the regular keyboard
+;; and the keypad delete the character under the cursor and to the right
+;; under X, instead of the default, backspace behavior.
+(global-set-key [delete] 'delete-char)
+(global-set-key [kp-delete] 'delete-char)
+
+;; For an unknow reason, the CTRL+RIGHT and RIGHT keys seem
+;; to be inveerted...
+
+;; Map RIGHT and LEFT
+;;(global-set-key [(meta O) (D)] 'backward-char)
+;;(global-set-key [(meta O) (C)] 'forward-char)
+;; Map CTRL+RIGHT and CTRL+LEFT
+(global-set-key [C-right] 'forward-word)
+(global-set-key [C-left] 'backward-word)
+
+;; Map Home key to beginning-of-buffer
+(global-set-key "\e[1~" 'beginning-of-buffer)
+;; Map End key to end-of-buffer
+(global-set-key "\e[4~" 'end-of-buffer)
+
+;;===========================================================
+;; Key bindings for compiling programs
+;;===========================================================
+;; Must add helper function for the make also, otherwise
+;; the first definition caused both F3 and F4 to execute "make clean".
+(defun compile-make-clean ()
+ (interactive) ;; can be called from kbd
+ (compile "make clean"))
+
+(defun compile-make ()
+ (interactive)
+ (compile "make"))
+
+(defun checkpatch()
+ (interactive)
+ (compile (concat "checkpatch.pl --no-tree --emacs --strict --file " (buffer-file-name))))
+
+;; buffer-cycle.el
+;; F1: Switch to previous buffers
+(autoload 'cycle-buffer-prev "buffer-cycle" t)
+(global-set-key [f1] 'cycle-buffer-prev)
+;; F2: Switch to next buffers
+(autoload 'cycle-buffer-next "buffer-cycle" t)
+(global-set-key [f2] 'cycle-buffer-next)
+
+;; F4: make clean
+(global-set-key [f4] 'compile-make-clean)
+
+;; F5: make
+(global-set-key [f5] 'compile-make)
+
+;; F6: go to next error
+(global-set-key [f6] 'next-error)
+
+;; F7: comment region
+(global-set-key [f7] 'comment-region)
+
+;; F8: code indentation
+(global-set-key [f8] 'indent-region)
+
+;; F9: run checkpatch.pl
+(global-set-key [f9] 'checkpatch)
+
+;;==================================================
+;; Modes
+;;==================================================
+
+(defun linux-c-mode ()
+ "C mode with adjusted defaults for use with the Linux kernel."
+ (interactive)
+ (c-mode)
+ (c-set-style "K&R")
+ ;; Replaces tabs in files with spaces
+ (setq indent-tabs-mode t)
+ (setq c-basic-offset 8))
+
+(defun csv-mode ()
+ "CSV mode."
+ (interactive)
+ (setq indent-tabs-mode t)
+)
+
+;; Default for .h and .d files -> linux mode.
+(add-to-list 'auto-mode-alist '("\.[ch]$" . linux-c-mode))
+
+;; Verilog mode
+(autoload 'verilog-mode "verilog-mode" "Verilog mode" t)
+(add-to-list 'auto-mode-alist '("\\.v\\'" . verilog-mode))
+
+;; PHP mode
+(autoload 'php-mode "php-mode" "PHP mode" t)
+(add-to-list 'auto-mode-alist '("\\.php\\'" . php-mode))
+
+;; ChordPro mode
+(autoload 'chordpro-mode "chordpro-mode" "Chordpro mode" t)
+(add-to-list 'auto-mode-alist '("\\.cp\\'" . chordpro-mode))
+(add-to-list 'auto-mode-alist '("\\.chopro\\'" . chordpro-mode))
+
+;; Lilypond mode
+(autoload 'LilyPond-mode "lilypond-mode" "LilyPond Editing Mode" t)
+(add-to-list 'auto-mode-alist '("\\.ly$" . LilyPond-mode))
+(add-to-list 'auto-mode-alist '("\\.ily$" . LilyPond-mode))
+
+;; CSV mode
+(add-to-list 'auto-mode-alist '("\\.csv$" . csv-mode))
+
+;; Mutt mode
+(autoload 'muttrc-mode "muttrc-mode" "Major mode to edit muttrc files" t)
+(add-to-list 'auto-mode-alist '("muttrc\\'" . muttrc-mode))
+
+;; When an Emacs init file gets large or has a lot of function definitions, you
+;; should consider compiling it: it will load faster when Emacs starts, and its
+;; functions will execute faster.
+;; Here is a way to automatically compile your InitFile each time you save it:
+(defun byte-compile-user-init-file ()
+ (let ((byte-compile-warnings '(unresolved)))
+ ;; in case compilation fails, don't leave the old .elc around:
+ (when (file-exists-p (concat user-init-file ".elc"))
+ (delete-file (concat user-init-file ".elc")))
+ (byte-compile-file user-init-file)
+ ;; (message "%s compiled" user-init-file)
+ ))
+(defun my-emacs-lisp-mode-hook ()
+ (when (equal buffer-file-name user-init-file)
+ (add-hook 'after-save-hook 'byte-compile-user-init-file t t)))
+(add-hook 'emacs-lisp-mode-hook 'my-emacs-lisp-mode-hook)
+
+(custom-set-variables
+ ;; custom-set-variables was added by Custom.
+ ;; If you edit it by hand, you could mess it up, so be careful.
+ ;; Your init file should contain only one such instance.
+ ;; If there is more than one, they won't work right.
+ '(column-number-mode t)
+ '(current-language-environment "UTF-8"))
+(custom-set-faces
+ ;; custom-set-faces was added by Custom.
+ ;; If you edit it by hand, you could mess it up, so be careful.
+ ;; Your init file should contain only one such instance.
+ ;; If there is more than one, they won't work right.
+ '(default ((t (:background "black" :foreground "white" :bold t))))
+ '(font-lock-comment-face ((t (:foreground "red" :bold t))))
+ '(font-lock-constant-face ((t (:foreground "magenta" :bold t))))
+ '(font-lock-function-name-face ((t (:foreground "blue" :bold t))))
+ '(font-lock-keyword-face ((t (:foreground "cyan" :bold t))))
+ '(font-lock-string-face ((t (:foreground "green" :bold t))))
+ '(font-lock-type-face ((t (:foreground "red" :bold t))))
+ '(font-lock-variable-name-face ((t (:foreground "yellow" :bold t))))
+ '(font-lock-warning-face ((t (:foreground "magenta" :bold t)))))
rscr once "Configuring X.org" configure-xorg
-exit 1
+ipkg_cust ${XTERM} cis-xterm ${XORG_CONFIG}
+exit 1
#source /etc/profile